List versions
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/versions \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/versions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"nextVersion": 123,
"versions": [
{
"id": 123,
"version": 123,
"description": "<string>",
"bucket": {
"path": "<string>",
"id": 123,
"name": "<string>",
"organizationName": "<string>",
"bucket": "<string>"
},
"created": "2023-11-07T05:31:56Z",
"userId": 123,
"userName": "<string>",
"userPhoto": "<string>",
"publicProjectId": 123,
"publicProjectUrl": "<string>",
"trainingAccuracy": 123,
"testAccuracy": 123,
"trainingmAP50": 123,
"testmAP50": 123,
"accuracyBasedOnImpulse": "<string>",
"totalSamplesCount": "<string>"
}
],
"customLearnBlocks": [
{
"author": "<string>",
"name": "<string>"
}
],
"runModelTestingWhileVersioning": true,
"error": "<string>"
}List versions
Get all versions for this project.
GET
/
api
/
{projectId}
/
versions
List versions
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Response
200 - application/json
OK
Whether the operation succeeded
Show child attributes
Show child attributes
If you have any custom learn blocks (e.g. blocks you pushed through Bring Your Own Model), then these are listed here. We use these to show a warning in the UI that these blocks will also be available in a public version.
Show child attributes
Show child attributes
Whether the 'Run model testing while versioning' checkbox should be enabled.
Optional error description (set if 'success' was false)
Was this page helpful?
⌘I